nextcloud:
  debug: false
  # Disable use of internal database
  internalDatabase:
    enabled: false

  # Enable and configure MariaDB chart
  mariadb:
    enabled: true

  # Use 2 GB of storage for NC storage (maybe make configurable later?)
  persistence:
    enabled: true
    size: 2Gi

  # Creates a kubernetes cronJob object that runs nextcloud's cron.php
  # every 15 minutes (*/15 * * * *)
  cronjob:
    enabled: true

apps:
  # OIDC consumer
  - name: sociallogin
    enabled: false
  # List of applications that are installed *and enabled*
  - name: onlyoffice
    enabled: true

setupApps:
  # How many times the setup-apps job can try and fail before it is marked as
  # definitely failed.
  backoffLimit: 6

# Necessary so the chart gets installed (because the requirements.yaml has a
# condition: `condition: mariadb.enabled`). Follow
# https://github.com/helm/helm/issues/5135 for more info.
mariadb:
  enabled: true

onlyoffice:
  # Default values for onlyoffice.

  replicaCount: 1

  jwtSecret: "secret"

  # Port of onlyoffice server inside docker container.
  containerPort: 8000

  # URL to the server running onlyoffice, replace this with your own domain!
  server_name: onlyoffice.domain

  image:
    repository: infrarednetwork/onlyoffice-documentserver
    tag: 5.4.0-2-1
    pullPolicy: Always

  strategy: Recreate

  nameOverride: ""
  fullnameOverride: ""

  service:
    type: ClusterIP
    port: 9980

  ingress:
    enabled: false
    annotations:
      nginx.ingress.kubernetes.io/proxy-body-size: 20M
    paths: []
    hosts: []
    tls: []

  resources: {}
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi

  nodeSelector: {}

  tolerations: []

  securityContext: {}

  affinity: {}

  livenessProbe:
    enabled: true
    initialDelaySeconds: 120
    timeoutSeconds: 5
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 20

  readinessProbe:
    enabled: true
    initialDelaySeconds: 30
    timeoutSeconds: 2
    periodSeconds: 20
    successThreshold: 1
    failureThreshold: 20

redis:
  master:
    command: "redis-server --appendonly yes"
  usePassword: false
  cluster:
    enabled: false

postgresql:
  persistence:
    # persistent storage is handled by NextCloud in our case
    enabled: false
  postgresqlDatabase: onlyoffice
  postgresqlUsername: onlyoffice
  postgresqlPassword: onlyoffice

rabbitmq:
  rabbitmq:
    password: password
